OpenJPEG 2.5.0

Data Fields
opj_mct_data Struct Reference

FIXME DOC. More...

`#include <j2k.h>`

## Data Fields
J2K_MCT_ELEMENT_TYPE | m_element_type
J2K_MCT_ARRAY_TYPE | m_array_type
OPJ_UINT32 | m_index
OPJ_BYTE * | m_data
OPJ_UINT32 | m_data_size

## Detailed Description

FIXME DOC.

## Field Documentation

## ◆ m_array_type

J2K_MCT_ARRAY_TYPE opj_mct_data::m_array_type

Referenced by opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mct_record().

## ◆ m_data

OPJ_BYTE* opj_mct_data::m_data

Referenced by opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), opj_j2k_tcp_destroy(), and opj_j2k_write_mct_record().

## ◆ m_data_size

OPJ_UINT32 opj_mct_data::m_data_size

Referenced by opj_j2k_add_mct(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mct_record().

## ◆ m_element_type

J2K_MCT_ELEMENT_TYPE opj_mct_data::m_element_type

Referenced by opj_j2k_add_mct(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), and opj_j2k_write_mct_record().

## ◆ m_index

OPJ_UINT32 opj_mct_data::m_index

Referenced by opj_j2k_read_mcc(), opj_j2k_read_mct(), opj_j2k_setup_mct_encoding(), opj_j2k_write_mcc_record(), and opj_j2k_write_mct_record().

The documentation for this struct was generated from the following file:

- j2k.h